com.microfocus.awm.control.internal

## Class TaurusSystemLoader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.xml.sax.ext.DefaultHandler2
    - - com.microfocus.awm.control.internal.TaurusSystemLoader

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.EntityResolver2, org.xml.sax.ext.LexicalHandler

      public class TaurusSystemLoader
      extends org.xml.sax.ext.DefaultHandler2

  class to load to the Taurus systems and applications

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusSystemLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `didErrorsOccur()` Gets whether errors occurred during the last parser run.
    `void` | `endElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pQName)`
    `static ISystemImage` | `findImageWithWait(java.lang.String sysName, java.lang.String remoteSystemName, int pWaitTimeSeconds)` Finds the given remote system name and waits for the given amount of seconds if the connection cannot be found.
    `java.util.Map<java.lang.String,java.lang.Boolean>` | `getExpandMap()` Deprecated. do not use. Might get overhauled in the future.
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pTagName, org.xml.sax.Attributes pAttr)`

    - ### Methods inherited from class org.xml.sax.ext.DefaultHandler2

      `attributeDecl, comment, elementDecl, endCDATA, endDTD, endEntity, externalEntityDecl, getExternalSubset, internalEntityDecl, resolveEntity, resolveEntity, startCDATA, startDTD, startEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusSystemLoader

          public TaurusSystemLoader()

  - ### Method Detail

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String pUri,
                                   java.lang.String pLocalName,
                                   java.lang.String pTagName,
                                   org.xml.sax.Attributes pAttr)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String pUri,
                                 java.lang.String pLocalName,
                                 java.lang.String pQName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### findImageWithWait

          public static ISystemImage findImageWithWait(java.lang.String sysName,
                                                       java.lang.String remoteSystemName,
                                                       int pWaitTimeSeconds)
                                                throws TaurusCoreException,
                                                       java.lang.InterruptedException

      Finds the given remote system name and waits for the given amount of seconds if the connection cannot be found. This is useful for plug-in initializations, since the remote system connection is about to be created when this method is called.
      Parameters:
        `sysName` - the name of the AWM system to which the remote system belongs to
        `remoteSystemName` - the name of the desired remote system connection
        `pWaitTimeSeconds` - the time in seconds how long the method should wait
      Returns:
        the found `ISystemImage` to the remote system name
      Throws:
        `TaurusCoreException` - if the image cannot be found
        `java.lang.InterruptedException` - if waiting gets interrupted

    - #### getExpandMap

          @Deprecated
          public java.util.Map<java.lang.String,java.lang.Boolean> getExpandMap()

      Deprecated. do not use. Might get overhauled in the future.
      Returns a map of cached resource IDs which were expanded when AWM was shut last time.
      Returns:
        a map with resource IDs and their expanded states

    - #### didErrorsOccur

          public boolean didErrorsOccur()

      Gets whether errors occurred during the last parser run. If `true` is returned, errors were most likely logged.
      Returns:
        whether errors occurred during the last parser run

Copyright © 2015 Micro Focus GmbH. All rights reserved.